"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Random = void 0;
const MULTIPLIER = 1000000000;
const RANDOM_LIMIT = 1000000;
class Random {
    constructor() {
        this.seed = 0;
        this.seed = Date.now() % 100000;
    }
    /**
      * returns random value
      * @param max - upper bound of random value
      * @returns integer value [0 ... max - 1]
      */
    next(max = RANDOM_LIMIT) {
        return (Random.random() + this.seed) % max;
    }
    static random() {
        return Math.floor(Math.random() * MULTIPLIER);
    }
}
exports.Random = Random;
